search 0.3.0
search: ^0.3.0 copied to clipboard

A small search engine middleware for 'package:database'. Meant for applications that want to do basic searches without an external search engine like ElasticSearch/Lucene.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add search

With Flutter:

 $ flutter pub add search

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  search: ^0.3.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:search/search.dart';
20
likes
110
pub points
60%
popularity

Publisher

dint.dev

A small search engine middleware for 'package:database'. Meant for applications that want to do basic searches without an external search engine like ElasticSearch/Lucene.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

charcode, database, meta

More

Packages that depend on search